import type { CommonCacheConfig } from './AbstractCache';
import { AbstractGroupCache } from './AbstractGroupCache';
import type { InMemoryGroupCache, InMemoryGroupCacheConfiguration } from './memory/InMemoryGroupCache';
import type { GroupNotificationPublisher } from './notifications/GroupNotificationPublisher';
import type { GroupCache } from './types/DataSources';
export type ManualGroupCacheConfig<LoadedValue> = CommonCacheConfig<LoadedValue, GroupCache<LoadedValue>, InMemoryGroupCacheConfiguration, InMemoryGroupCache<LoadedValue>, GroupNotificationPublisher<LoadedValue>>;
export declare class ManualGroupCache<LoadedValue> extends AbstractGroupCache<LoadedValue> {
    constructor(config: ManualGroupCacheConfig<LoadedValue>);
    set(key: string, resolvedValue: LoadedValue, group: string): Promise<void>;
}
