import type { Redis } from 'ioredis';
import type { InMemoryGroupCache } from '../memory/InMemoryGroupCache';
import { AbstractNotificationConsumer } from '../notifications/AbstractNotificationConsumer';
import type { RedisConsumerConfig } from './RedisNotificationConsumer';
export declare class RedisGroupNotificationConsumer<LoadedValue> extends AbstractNotificationConsumer<LoadedValue, InMemoryGroupCache<LoadedValue>> {
    private readonly redis;
    private readonly channel;
    constructor(redis: Redis, config: RedisConsumerConfig);
    close(): Promise<void>;
    subscribe(): Promise<void>;
}
