import type { Redis } from 'ioredis';
import { AbstractNotificationConsumer } from '../notifications/AbstractNotificationConsumer';
import type { SynchronousCache } from '../types/SyncDataSources';
export type RedisConsumerConfig = {
    channel: string;
    serverUuid: string;
};
export declare class RedisNotificationConsumer<LoadedValue> extends AbstractNotificationConsumer<LoadedValue, SynchronousCache<LoadedValue>> {
    private readonly redis;
    private readonly channel;
    constructor(redis: Redis, config: RedisConsumerConfig);
    close(): Promise<void>;
    subscribe(): Promise<void>;
}
